Download it now!
Bug 96524 - Spreadsheet view jumps when formula created with combination of column/row heading select and keyboard shortcuts
Summary: Spreadsheet view jumps when formula created with combination of column/row he...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 21:01 UTC by Óvári
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-12-15 21:01:08 UTC
Version: 5.2.0.0.alpha0+
Build ID: 014633f83e44ae8ba33087b6f38e8e253e281969
CPU Threads: 2; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-15_06:21:44

1. In cell A100 type: =SUM(
2. Click column heading B
3. Press and hold Shift
4. Press right arrow
5. Screen correctly highlights columns B and C.
6. Bug is that the view jumps and is no longer showing cell A100; instead showing the area of the spreadsheet which includes the maximum row.

Thank you
Comment 1 Dennis Francis 2015-12-20 03:45:47 UTC
I have submitted a patch in gerrit for review.

https://gerrit.libreoffice.org/#/c/20837/
Comment 2 Commit Notification 2016-01-06 14:51:36 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b70b846503e8c3942da95a23e5fe854b02e0553

Fix tdf#96524 : Do not change view when...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Óvári 2016-01-12 22:20:59 UTC
(In reply to Commit Notification from comment #2)
> Affected users are encouraged to test the fix and report feedback.
Please see bug 97084. Thank you